fs exportafs               AFS Commands            fs exportafs


NAME

   fs  exportafs -- report  or  set whether machine can export

                       AFS  to  clients   of   alternate   file
                       systems.


   fs exportafs   -type <exporter name>  [-state <'on' or
   'off'>]        [-noconvert]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   fs exp  -t <exporter name>  [-s <'on' or 'off'>]  [-n]  [-h]

DESCRIPTION

   This  command  performs  one  of the following, depending on
   whether the issuer provides the -state argument:

      - It sets whether the machine  is  accessible  as  a
        server  of  the non-AFS file system exporter name,
        able to be mounted by clients of that file system.

      - It reports on the current status of the machine.

   The command's  -noconvert  flag  can  be  used  to  indicate
   whether  mode  bits of exported directories and files are to
   be converted.  By default, the group and other mode bits  of
   exported directories and files are changed to match the user
   bits.

ARGUMENTS

   -type names the alternate file system for which the  setting
         is  to be changed or reported.  Only lowercase letters
         are acceptable.  The only legal value is nfs.

   -state
         controls  whether  the  workstation is accessible as a
         server of the non-AFS file system or not.   The  legal
         values  are  on,  which  enables  the workstation as a
         server, and off, which  makes  it  inaccessible  as  a
         server.  If the issuer omits this argument, the output
         reports the current setting.

   -noconvert
         determines   whether  the  group  and  other  bits  on
         exported files and directories are converted to  match
         the  user  bits.  By default, the group and other bits
         on exported files and directories are  made  to  match
         the user bits.  Specify this flag to leave the bits as
         they are in AFS.

   -help prints the online help entry for this command.  Do not
         provide  any  other  arguments or flags with this one.
         See section 3.1  in  the  Reference  Manual  for  more
         details.



OUTPUT

   When  the -state argument is omitted, the output reports the
   name of the non-AFS file system and whether the  workstation
   is enabled as a server of it.

EXAMPLES

   The  following  shows that this machine is enabled as an NFS
   server (i.e., it is running the AFS/NFS Translator):

   %  fs exportafs nfs  Exporter type: nfs is currently enabled
   for AFS

   The following shows that the machine is not  enabled  as  an
   NFS server:

   %  fs exportafs nfs  Sorry, the nfs-exporter type is
   currently not supported on      this AFS client

   The  following  prevents  the  machine from acting as an NFS
   server:

   % fs exp nfs off

PRIVILEGE REQUIRED

   Issuer must be logged in as "root" in the UNIX  file  system
   of the machine on which the command is being issued.
